<template>
  <div class="page-body">
    <div class="page-header d-print-none">
      <b-row align-v="center">
        <b-col v-if="skeleton" md="3">
          <ContentLoader height="50" view-box="0 0 400 50">
            <rect x="0" y="0" rx="5" ry="5" width="100" height="15" />
            <rect x="0" y="25" rx="10" ry="10" width="300" height="25" />
          </ContentLoader>
        </b-col>
        <b-col v-else md="3">
          <div class="page-pretitle">{{ pretitle }}</div>
          <slot name="title-board"></slot>
        </b-col>
        <b-col sm="12" md="9" class="d-print-none">
          <slot name="header-right"></slot>
        </b-col>
      </b-row>
    </div>
    <b-row>
      <slot name="content"></slot>
    </b-row>
  </div>
</template>

<script>
export default {
  props: {
    pretitle: {
      type: String,
      default: '',
    },
    skeleton: {
      type: Boolean,
      default: false,
    },
  },
};
</script>
